<template>
  <div>
    <div class="mx-5">
      <p class="app-title">Input Barang</p>
      <v-card class="mx-3 pa-3">
        <inputForm @onFormSubmit="onCreate" />
      </v-card>
    </div>
  </div>
</template>
<script>
import inputForm from "./components/formInput";
export default {
  data() {
    return {
      formInput: []
    };
  },
  components: {
    inputForm
  },
  methods: {
    onCreate({ name, email, amount }) {
      console.log(name, email, amount);
      this.formInput = {
        name: name,
        email: email,
        amount: amount
      };
      this.$store.commit("barang/SET_DATABARANG", this.formInput);
      this.$store.dispatch("barang/inputBarang");
    }
  }
};
</script>
